* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
:root {
    --body-bg: rgb(94, 42, 0);
    --nav-bg: #ffd700;
    --deg: 744deg;
    --button-background: orangered;
    --body-font: 'poppins', san-serif;
    --header-font-two: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    --header-font: 'OSwald', san-serif;
    --color-replace-black-one: #171717;
    --color-replace-black-two: #101720;
    --color-replace-black-three: #011222;
    --color-replace-black-four: #0D1717;
    --type-writer-font: 'Chivo Mono', san-serif;
}
.scroll-top{
  visibility: none;
  opacity: 0;
  position: fixed;
  right: 9%;
  bottom: 9%;
}
.scroll-top.active{
  
  border-radius: 50%;
  width: 40px;
  height: 40px;
  z-index: 2000;
  text-decoration: none;
  justify-content: center;
  align-items: center;
  background-color: whitesmoke;
  display: flex;
  visibility: visible;
  opacity: 1;
  transition-duration: .5s;
  border: 2px var(--color-replace-black-three) solid;
}
.scroll-top .fa-solid{
  color: var(--color-replace-black-three);
  font-size: 24px;
}
main{
    width: 100vw;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-inline: 10%;
    background-color: #dcdcdc;
    position: relative;
    overflow: hidden;
}
main h1{
    margin: 40px 0 0 0;
    font-size: clamp(1.8rem, 4vw, 5rem);
    font-family: var(--header-font);
}
main .back{
  position: absolute;
  left: 7%;
  top: 2%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition-duration: .4s;
  
  border-radius: 20px;
  border: 2px var(--color-replace-black-two) solid;
  background-color: white;
  width: 40px;
  height: 40px;
  transition-delay: .3s;
  overflow: hidden;
}
main .back:hover{
  width: 130px;
}
main .back .fa-solid{
  font-size: 20px;
  margin-inline: 12px;
}
main .back{
  color: var(--color-replace-black-two);
  text-decoration: none;
  font-family: var(--header-font-two);
  font-weight: 600;
  text-transform: uppercase;
}
main .back span{
  overflow: hidden;
  transition-duration: .3s;
  transition-delay: .5s;
  width: 120px;
  transform: translateX(200%);
}
main .back:hover span{
  transform: translateX(0);
}
.location{
  display: flex;
  z-index: 900;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  margin-bottom: 100px;
  color: var(--color-replace-black-two);
}
.location i{
  font-size: 60px;
}
.location h1{
  font-family: var(--header-font);
  font-size: clamp(1.8rem, 4vw, 5rem);;
}
.location h4{
  font-family: var(--header-font-two);
  letter-spacing: 2px;
  text-transform: uppercase;
  margin: 14px 0 25px 0px;
}
.location div{
  font-family: var(--body-font);
  font-weight: 600;
  text-align: center;
}
iframe{
  max-width: 1000px;
  width: 100%;
  margin-inline: 20px;
  z-index: 900;
}
.cards-container{
    display: flex;
    flex-wrap: wrap;
    gap: 50px;
    justify-content: center;
    margin-block: 60px;
}
.e-card {
    
    background: transparent;
    box-shadow: 0px 8px 28px -9px rgba(0,0,0,0.45);
    position: relative;
    width: 240px;
    height: 330px;
    border-radius: 16px;
    overflow: hidden;
  }
  
  .wave {
    position: absolute;
    width: 540px;
    height: 700px;
    opacity: 0.6;
    left: 0;
    top: 0;
    margin-left: -50%;
    margin-top: -70%;
    background: linear-gradient(744deg, var(--color-replace-black-one),var(--color-replace-black-two) 60%,var(--color-replace-black-three));
  }
  
  .icon {
    width: 3em;
    margin-top: -1em;
    padding-bottom: 1em;
  }
  
  .infotop {
    text-align: center;
    font-size: 20px;
    position: absolute;
    font-family: var(--header-font);
    top: 5.6em;
    left: 0;
    right: 0;
    color: rgb(255, 255, 255);
    font-weight: 600;
  }
  .infotop .fa-solid{
    font-size: 35px;
    color: white;
    margin: 0px 0 35px 0;
  }
  .infotop .fa-brands,
  .infotop .fa-envelope{
    font-size: 50px;
    color: white;
    margin: 0px 0 35px 0;
  }
  .name {
    font-size: 14px;
    font-weight: 100;
    position: relative;
    top: 1em;
    text-transform: lowercase;
    gap: 20px;
    font-family: var(--body-font);
    font-weight: bold;
  }
  .name a{
    color: white;
  }
  .wave:nth-child(2),
  .wave:nth-child(3) {
    top: 210px;
  }
  .w-link,
  .e-link{
    width: 80%;
    height: 40px;
    border-radius: 16px;
    border: none;
    background-color: white;
    transition-duration: .3s;
  }
  .w-link a,
  .e-link a{
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    font-family: var(--header-font-two);
    letter-spacing: 2px;
    font-weight: 600;
  }
  .playing .wave {
    border-radius: 40%;
    animation: wave 3000ms infinite linear;
  }
/*   
  .wave {
    border-radius: 40%;
    animation: wave 55s infinite linear;
  } */
  
  .playing .wave:nth-child(2) {
    animation-duration: 4000ms;
  }
  
  .wave:nth-child(2) {
    animation-duration: 50s;
  }
  
  .playing .wave:nth-child(3) {
    animation-duration: 5000ms;
  }
  
  .wave:nth-child(3) {
    animation-duration: 45s;
  }
  
  @keyframes wave {
    0% {
      transform: rotate(0deg);
    }
  
    100% {
      transform: rotate(360deg);
    }
  }


/* About page style */

.about-main{
  background-color: var(--color-replace-black-three);
  width: 100%;
  height: 125svh;
  position: relative;
  padding-inline: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}
.about-card{
  display: flex;
  width: 65%;
  padding: 18px;
  background: linear-gradient(to right, var(--color-replace-black-four), var(--color-replace-black-one), var(--color-replace-black-two));
  border-collapse: collapse;
  box-shadow:  3px -3px 14px var(--color-replace-black-one),
  0 0 20px darkgray;
  border-radius: 16px;
  /* border: 1.2px var(--nav-bg) dashed; */
}
.img-container{
  width: 35%;
  /* border: 1.2px var(--nav-bg) dashed; */
}
.img-container img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.about-content{
  width: 65%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  color: white;
  box-sizing: border-box;
  padding-inline: 5%;
  padding-block: 60px;
  text-align: left;
  /* border: 1.2px var(--nav-bg) dashed; */
}
.about-content h1{
  font-size: 2rem;
  font-family: var(--header-font-two);
  text-transform: uppercase;
  margin-block-start: 20px;
  margin-block-end: 10px;
  letter-spacing: 2px;
}
.about-content h4{
  font-family: var(--header-font-two);
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-block: 10px;
}
.about-content .notes{
  font-family: var(--body-font);
  font-size: 13px;
  margin-block-end: 20px;
}
.about-content a{
  text-decoration: none;
  color: white;
  background-color: gold;
  padding-block: 12px;
  border-radius: 12px;
  width: 40%;
  justify-content: center;
  align-items: center;
  display: flex;
  font-family: var(--header-font-two);
  font-weight: bold;
  letter-spacing: 1.5px;
}
.about-content a .fa-brands{
  margin-right: 10px;
  font-size: 20px;
}
.about-main .back{
  position: absolute;
  left: 7%;
  top: 5%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition-duration: .4s;
  
  border-radius: 20px;
  border: 2px var(--color-replace-black-two) solid;
  background-color: white;
  width: 40px;
  height: 40px;
  transition-delay: .3s;
  overflow: hidden;
}
.about-main .back:hover{
  width: 130px;
}
.about-main .back .fa-solid{
  font-size: 20px;
  margin-inline: 12px;
}
.about-main .back{
  color: var(--color-replace-black-two);
  text-decoration: none;
  font-family: var(--header-font-two);
  font-weight: 600;
  text-transform: uppercase;
}
.about-main .back span{
  overflow: hidden;
  transition-duration: .3s;
  transition-delay: .5s;
  width: 120px;
  transform: translateX(200%);
}
.about-main .back:hover span{
  transform: translateX(0);
}
.no-scale{
  transform: scale(0);
  transition: all .2s ease-in;
}
.scale-in{
  transform: scale(1);
  transition-delay: calc(150ms * var(--i));
}
.filter-blur{
  transform: translateY(150px);
  filter: blur(14px);
  opacity: 0;
  transition: all .4s ease-in;
}
.animate-in{
  transform: translateY(0);
  filter: blur(0);
  opacity: 1;
}
.left-element{
  transform: translateX(-100%);
  opacity: 0;
  filter: blur(14px);
  transition: all .4s ease-in;
}
.right-element{
  transform: translateX(100%);
  opacity: 0;
  filter: blur(14px);
  transition: all .4s ease-in;
}
.animate-back{
  transform: translateX(0);
  opacity: 1;
  filter: blur(0);
}





@media screen and (max-width: 1365px){
  .img-container{
    display: none;
  }
  .about-content{
    width: 100%;
  }
  .about-content .notes{
    line-height: 1.4rem;
    margin-block: 10px;
  }
}
@media screen and (max-width: 768px){
  main .back:hover{
    width: 40px;
  }
  .about-main .back:hover{
    width: 40px;
  }
  .about-card{
    width: 90%;
  }
  .about-content a{
    width: 60%;
  }

}
@media screen and (max-width: 400px){
  .about-main{
    padding-inline: 12px;
  }
  .about-card{
    width: 95%;
  }
}